=== modified file 'lib/canonical/launchpad/ftests/test_system_documentation.py'
--- lib/canonical/launchpad/ftests/test_system_documentation.py	2011-12-20 09:39:53 +0000
+++ lib/canonical/launchpad/ftests/test_system_documentation.py	2011-12-22 14:49:30 +0000
@@ -11,17 +11,12 @@
 import os
 import unittest
 
-from zope.testing.cleanup import cleanUp
-
-from canonical.launchpad.testing import browser
 from canonical.launchpad.testing.systemdocs import (
     LayeredDocFileSuite,
-    setGlobs,
     setUp,
     tearDown,
     )
 from canonical.testing.layers import (
-    AppServerLayer,
     FunctionalLayer,
     LaunchpadFunctionalLayer,
     )
@@ -30,29 +25,11 @@
 here = os.path.dirname(os.path.realpath(__file__))
 
 
-def layerlessTearDown(test):
-    """Clean up any Zope registrations."""
-    cleanUp()
-
-
 # Files that have special needs can construct their own suite
 special = {
     # No setup or teardown at all, since it is demonstrating these features.
     'old-testing.txt': LayeredDocFileSuite(
         '../doc/old-testing.txt', layer=FunctionalLayer),
-    'webservice-configuration.txt': LayeredDocFileSuite(
-        '../doc/webservice-configuration.txt',
-        setUp=setGlobs, tearDown=layerlessTearDown, layer=None),
-    # This test is actually run twice to prove that the AppServerLayer
-    # properly isolates the database between tests.
-    'launchpadlib.txt': LayeredDocFileSuite(
-        '../doc/launchpadlib.txt',
-        layer=AppServerLayer,
-        setUp=browser.setUp, tearDown=browser.tearDown,),
-    'launchpadlib2.txt': LayeredDocFileSuite(
-        '../doc/launchpadlib.txt',
-        layer=AppServerLayer,
-        setUp=browser.setUp, tearDown=browser.tearDown,),
     }
 
 

=== added directory 'lib/lp/services/webservice/doc'
=== renamed file 'lib/canonical/launchpad/doc/launchpadlib.txt' => 'lib/lp/services/webservice/doc/launchpadlib.txt'
=== renamed file 'lib/canonical/launchpad/doc/webservice-configuration.txt' => 'lib/lp/services/webservice/doc/webservice-configuration.txt'
=== renamed file 'lib/canonical/launchpad/doc/webservice-error.txt' => 'lib/lp/services/webservice/doc/webservice-error.txt'
=== renamed file 'lib/canonical/launchpad/doc/webservice-marshallers.txt' => 'lib/lp/services/webservice/doc/webservice-marshallers.txt'
=== added file 'lib/lp/services/webservice/tests/test_doc.py'
--- lib/lp/services/webservice/tests/test_doc.py	1970-01-01 00:00:00 +0000
+++ lib/lp/services/webservice/tests/test_doc.py	2011-12-22 14:49:30 +0000
@@ -0,0 +1,50 @@
+# Copyright 2011 Canonical Ltd.  This software is licensed under the
+# GNU Affero General Public License version 3 (see the file LICENSE).
+
+"""
+Run the doctests and pagetests.
+"""
+
+import os
+
+from zope.testing.cleanup import cleanUp
+
+from canonical.launchpad.testing import browser
+from canonical.launchpad.testing.systemdocs import (
+    LayeredDocFileSuite,
+    setGlobs,
+    )
+from canonical.testing.layers import (
+    AppServerLayer,
+    LaunchpadFunctionalLayer,
+    )
+from lp.services.testing import build_test_suite
+
+
+here = os.path.dirname(os.path.realpath(__file__))
+
+
+def layerlessTearDown(test):
+    """Clean up any Zope registrations."""
+    cleanUp()
+
+
+special = {
+    'webservice-configuration.txt': LayeredDocFileSuite(
+        '../doc/webservice-configuration.txt',
+        setUp=setGlobs, tearDown=layerlessTearDown, layer=None),
+    # This test is actually run twice to prove that the AppServerLayer
+    # properly isolates the database between tests.
+    'launchpadlib.txt': LayeredDocFileSuite(
+        '../doc/launchpadlib.txt',
+        layer=AppServerLayer,
+        setUp=browser.setUp, tearDown=browser.tearDown,),
+    'launchpadlib2.txt': LayeredDocFileSuite(
+        '../doc/launchpadlib.txt',
+        layer=AppServerLayer,
+        setUp=browser.setUp, tearDown=browser.tearDown,),
+    }
+
+
+def test_suite():
+    return build_test_suite(here, special, layer=LaunchpadFunctionalLayer)

